Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.ws.domain
Class GenericRequest

    java.lang.Object
      be.ehealth.technicalconnector.ws.domain.GenericRequest

    public final class GenericRequest

extends Object

This class contains the generic domain object for manipulating generic requests;

Constructor Summary
`GenericRequest()`

Method Summary
`GenericRequest` | `addDataHandler(String id, byte[] byteArray)` Wrapping a byte[] in a `ByteArrayDatasource` as `DataHandler`
`GenericRequest` | `addDataHandler(String id, DataHandler dataHandler)`
`GenericRequest` | `addDefaulHandlerChain()` This method will sets the DefaultHandlerChain before and after the security layer as specified in the configuration.
`GenericRequest` | `addHandlerChain(HandlerChain handlers)` This method will append all the handlers in the `HandlerChain`
`List<Handler<?>>` | `getAfterSecurityHandlerChain()` Deprecated. method addHandlerChain should be used
`List<Handler<?>>` | `getBeforeSecurityHandlerChain()` Deprecated. method addHandlerChain should be used
`Map<String,DataHandler>` | `getDataHandlerMap()`
`Handler<? extends MessageContext>[]` | `getHandlerchain()` Obtaining the current handler chain
`Document` | `getPayload()`
`Map<String,Object>` | `getRequestMap()`
`List<Handler<?>>` | `getSecurityHandlerChain()` Deprecated. method addHandlerChain should be used
`boolean` | `isXopEnabled()`
`void` | `setCertificateSecured()` Deprecated.
`GenericRequest` | `setCertificateSecured(X509Certificate certificate, PrivateKey privateKey)`
`GenericRequest` | `setCredential(Credential cred, TokenType sec)` This method will set the security handler based on the credential
`GenericRequest` | `setCredentialFromSession(TokenType sec)` This method will use the session to detirming the credential to use.
`GenericRequest` | `setDefaultHandlerChain()` Deprecated. method addDefaulHandlerChain should be used
`GenericRequest` | `setEndpoint(String endpoint)`
`GenericRequest` | `setHandlerChain(HandlerChain handlers)` Deprecated. method addHandlerChain should be used.
`GenericRequest` | `setPayload(Document payload)`
`GenericRequest` | `setPayload(Document payload, GenericFeature... features)`
`GenericRequest` | `setPayload(Object payload)` Setting the payload with a classes annotated with `XmlRootElement` are allowed.
`GenericRequest` | `setPayload(Object payload, boolean xop)` Deprecated.
`GenericRequest` | `setPayload(Object payload, GenericFeature... features)`
`GenericRequest` | `setPayload(String payload)` The payload to set as String value Note: only well-formed xml document are allowed.
`void` | `setSamlSecured()` Deprecated.
`GenericRequest` | `setSamlSecured(Element assertion, Credential hok)` This method will uses the assertion and the credential for setting the SAML security
`void` | `setSamlSecured(SAMLToken token)` Deprecated.
`GenericRequest` | `setSoapAction(String soapAction)`
`GenericRequest` | `setSoapAction(String soapAction, boolean wsiCompliant)`
`GenericRequest` | `setWSAddressing(WsAddressingHeader header)` This method will set the WSAddressing header as specified in the V200508 specification

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericRequest

    public GenericRequest()

Method Detail

### setEndpoint

    public GenericRequest setEndpoint(String endpoint)

  Parameters:
    `endpoint` - the endpoint to set

### setPayload

    public GenericRequest setPayload(Document payload)

  Parameters:
    `payload` - the payload to set as `Document`

### setPayload

    public GenericRequest setPayload(Document payload,
                                     GenericFeature... features)

### getPayload

    public Document getPayload()

  Returns:
    the payload

### getDataHandlerMap

    public Map<String,DataHandler> getDataHandlerMap()

  Returns:
    the handlers

### setPayload

    public GenericRequest setPayload(String payload)
                              throws TechnicalConnectorException

  The payload to set as String value Note: only well-formed xml document are allowed.

  Throws:
    `TechnicalConnectorException`

### setPayload

    public GenericRequest setPayload(Object payload)

  Setting the payload with a classes annotated with `XmlRootElement` are allowed. Note:XML-binary Optimized Packaging (XOP) is disabled.

### setPayload

    @Deprecated
    public GenericRequest setPayload(Object payload,
                                                boolean xop)

  Deprecated.

  Setting the payload with a classes annotated with `XmlRootElement` are allowed.

  Parameters:
    `xop` - enable/disable XML-binary Optimized Packaging (XOP) only for `XmlRootElement`

### setPayload

    public GenericRequest setPayload(Object payload,
                                     GenericFeature... features)

### setSoapAction

    public GenericRequest setSoapAction(String soapAction)

  Parameters:
    `soapAction` - the soapAction to set

### setSoapAction

    public GenericRequest setSoapAction(String soapAction,
                                        boolean wsiCompliant)

### getRequestMap

    public Map<String,Object> getRequestMap()

  Returns:
    the requestMap

### setWSAddressing

    public GenericRequest setWSAddressing(WsAddressingHeader header)
                                   throws TechnicalConnectorException

  This method will set the WSAddressing header as specified in the V200508 specification

  Parameters:
    `header` -
  Throws:
    `TechnicalConnectorException`

### setCertificateSecured

    @Deprecated
    public void setCertificateSecured()
                               throws TechnicalConnectorException

  Deprecated.

  This method will invoke the setCertifcateSecured with the HOK certificate of the session.

  Throws:
    `TechnicalConnectorException`

### setCertificateSecured

    public GenericRequest setCertificateSecured(X509Certificate certificate,
                                                PrivateKey privateKey)
                                         throws TechnicalConnectorException

  Parameters:
    `certificate` -
    `privateKey` -
  Throws:
    `TechnicalConnectorException`

### setSamlSecured

    @Deprecated
    public void setSamlSecured()
                        throws TechnicalConnectorException

  Deprecated.

  This method will uses the information of the session for setting the SAML security

  Throws:
    `TechnicalConnectorException`

### setSamlSecured

    public GenericRequest setSamlSecured(Element assertion,
                                         Credential hok)
                                  throws TechnicalConnectorException

  This method will uses the assertion and the credential for setting the SAML security

  Parameters:
    `assertion` -
    `hok` -
  Throws:
    `TechnicalConnectorException`

### setSamlSecured

    @Deprecated
    public void setSamlSecured(SAMLToken token)
                        throws TechnicalConnectorException

  Deprecated.

  This method will uses the SAMLToken for setting the SAML security

  Parameters:
    `token` -
  Throws:
    `TechnicalConnectorException`

### setCredential

    public GenericRequest setCredential(Credential cred,
                                        TokenType sec)
                                 throws TechnicalConnectorException

  This method will set the security handler based on the credential

  Parameters:
    `cred` -
  Throws:
    `TechnicalConnectorException`

### setCredentialFromSession

    public GenericRequest setCredentialFromSession(TokenType sec)
                                            throws TechnicalConnectorException

  This method will use the session to detirming the credential to use.

  Parameters:
    `sec` -
  Throws:
    `TechnicalConnectorException`

### addDefaulHandlerChain

    public GenericRequest addDefaulHandlerChain()
                                         throws TechnicalConnectorException

  This method will sets the DefaultHandlerChain before and after the security layer as specified in the configuration.

  Throws:
    `TechnicalConnectorException`

### setDefaultHandlerChain

    @Deprecated
    public GenericRequest setDefaultHandlerChain()
                                          throws TechnicalConnectorException

  Deprecated. method addDefaulHandlerChain should be used

  This method will sets the DefaultHandlerChain before and after the security layer as specified in the configuration.

  Throws:
    `TechnicalConnectorException`

### addHandlerChain

    public GenericRequest addHandlerChain(HandlerChain handlers)

  This method will append all the handlers in the `HandlerChain`

  Parameters:
    `handlers` -
  Returns:

### setHandlerChain

    @Deprecated
    public GenericRequest setHandlerChain(HandlerChain handlers)

  Deprecated. method addHandlerChain should be used.

### getAfterSecurityHandlerChain

    @Deprecated
    public List<Handler<?>> getAfterSecurityHandlerChain()

  Deprecated. method addHandlerChain should be used

  Returns:
    the afterSecurity

### getBeforeSecurityHandlerChain

    @Deprecated
    public List<Handler<?>> getBeforeSecurityHandlerChain()

  Deprecated. method addHandlerChain should be used

  Returns:
    the beforeSecurity

### getSecurityHandlerChain

    @Deprecated
    public List<Handler<?>> getSecurityHandlerChain()

  Deprecated. method addHandlerChain should be used

  Returns:
    the securityHandler

### getHandlerchain

    public Handler<? extends MessageContext>[] getHandlerchain()

  Obtaining the current handler chain

### addDataHandler

    public GenericRequest addDataHandler(String id,
                                         DataHandler dataHandler)

### isXopEnabled

    public boolean isXopEnabled()

### addDataHandler

    public GenericRequest addDataHandler(String id,
                                         byte[] byteArray)

  Wrapping a byte[] in a `ByteArrayDatasource` as `DataHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.